Summary:       Soup, an HTTP library implementation
Name:          libsoup3
Version: 3.4.2
Release: 4%{?dist}
License:       LGPLv2
URL:           https://wiki.gnome.org/Projects/libsoup
Source0:       https://gitlab.gnome.org/GNOME/libsoup/-/archive/%{version}/libsoup-%{version}.tar.gz

BuildRequires: gcc gettext glib-networking krb5-devel meson vala pkgconfig(libbrotlidec)
BuildRequires: pkgconfig(glib-2.0) pkgconfig(gio-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libnghttp2) pkgconfig(libpsl) pkgconfig(sqlite3) pkgconfig(sysprof-capture-4)
BuildRequires: /usr/bin/ntlm_auth

%description
Libsoup is an HTTP library implementation in C. It was originally part of a SOAP (Simple Object Access Protocol)
implementation called Soup, but the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK applications. This enables GNOME applications
to access HTTP servers on the network in a completely asynchronous fashion, very similar to the Gtk+ programming model
(a synchronous operation mode is also supported for those who want it), but the SOAP parts were removed long ago.

%package devel
Summary: Header files for the Soup library
Requires: %{name} = %{version}-%{release}

%description devel
Libsoup is an HTTP library implementation in C. This package allows you to develop applications that use the libsoup library.

%prep
%autosetup -p1 -n libsoup-%{version}

%build
%meson \
    -Ddocs=disabled \
    -Dtests=false \
    -Dautobahn=disabled \
    -Dpkcs11_tests=disabled
%meson_build

%install
%meson_install

%find_lang libsoup-3.0

%files -f libsoup-3.0.lang
%license COPYING
%doc README NEWS AUTHORS
%{_libdir}/libsoup-3.0.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Soup-3.0.typelib

%files devel
%{_includedir}/libsoup-3.0
%{_libdir}/libsoup-3.0.so
%{_libdir}/pkgconfig/libsoup-3.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Soup-3.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libsoup-3.0.deps
%{_datadir}/vala/vapi/libsoup-3.0.vapi

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 cunshunxia <cunshunxia@tencent.com> - 3.4.2-1
- upgrade to 3.4.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 3.2.2-1
- initial build
